Subject: Re: error in compiling glib-1.2.8
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "Andreas Eibach" <[email-masked]>, <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 11 Dec 2000 19:03:20 -0500

At 05:11 PM 12/11/2000, Andreas Eibach wrote:
> > Cygwin has a thread implementation of its own.  Check out the mail
>archives
> > and source for more details.
>
>Correct, but what's this for regarding glib / gtk+ ?
>AFAIK, Gtk+ _cannot_ make use of the Cygwin built-in thread support.
>
>How would it know?
>Maybe by extensively modifying the Makefile?
>Well _I_ think that it would become a TOUGH task to compile Cygwin built-in
>thread support into gtk.
>In worst case, you will have to re-change every single reference to certain
>headers to get it working in the end.
>
>However, if you know a smart way, I'd be happy to hear from you.

Actually no, I don't know how this could be done.  I've never tried to make
use of thread stuff at all myself.  Hopefully you'll have some luck yourself
(or inspiration from elsewhere!;-))

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Send a message to [email-masked]